Recent

Author Topic: Error connecting to Firebird 3, component TIBConnection (SOLVED)  (Read 367 times)

Ame555

  • New Member
  • *
  • Posts: 12
Error connecting to Firebird 3, component TIBConnection (SOLVED)
« on: November 29, 2020, 11:27:15 pm »
Dear community, I am having problems trying to connect to firebird, I am using Lazarus V2.0.10 with the TIBConnection component, but when I connect it sends me the message "Can not load default Firebird clients ("libfbclient.so.2.5.1" or "libgds.so" or "libfbembed.so.2.5"). Check your installation" I am using Lubuntu 20.04.
« Last Edit: December 01, 2020, 12:12:09 am by Ame555 »

tonyw

  • Full Member
  • ***
  • Posts: 183
    • MWA Software
Re: Error connecting to Firebird 3, component TIBConnection
« Reply #1 on: November 30, 2020, 03:24:59 pm »
It might have something to do with you using Firebird 3 and TIBConnection looking for the Firebird 2.5 client library or the Fiirebird 2.5 embedded server. I don't know why it would do that, IBX always looks for libfbclient.so or libfbclient.so.2 first and only looks for the legacy embedded server libfbembed.so or libfbembed.so.2.5 if neither are available.

Ame555

  • New Member
  • *
  • Posts: 12
Re: Error connecting to Firebird 3, component TIBConnection
« Reply #2 on: December 01, 2020, 12:11:10 am »
Hello, thanks to your answer I could find the solution, it was only necessary to create a symbolic link in my case this link.

sudo ln -s libfbclient.so.3.0.5 libfbclient.so.2.5.1

Now it seems to be working well.

 

TinyPortal © 2005-2018